#include <RFduinoBLE.h>

// pin 3 on the RGB shield is the green led
// (shows when the RFduino is advertising or not)
int advertisement_led = 3;

// pin 2 on the RGB shield is the red led
// (goes on when the RFduino has a connection from the iPhone, and goes off on disconnect)
int connection_led = 2;

void setup() {
  // led used to indicate that the RFduino is advertising
  pinMode(advertisement_led, OUTPUT);
  
  // led used to indicate that the RFduino is connected
  pinMode(connection_led, OUTPUT);

  Serial.begin(9600);
  Serial.println("begin_setup");

  // start the BLE stack
  RFduinoBLE.advertisementData = "Hello";
  RFduinoBLE.deviceName="glove";
  
  RFduinoBLE.begin();

}
//loop function: take and send data from captors
void loop() {
  int valx=analogRead(4);
  int valy=analogRead(5);
  int valz=analogRead(6);
  int touch=analogRead(1);

  sendDataBLE(valx,valy,valz,touch);
}

void RFduinoBLE_onAdvertisement(bool start)
{
  // turn the green led on if we start advertisement, and turn it
  // off if we stop advertisement
  
  if (start)
    digitalWrite(advertisement_led, HIGH);
  else
    digitalWrite(advertisement_led, LOW);
digitalWrite(connection_led, LOW);
}

void RFduinoBLE_onConnect()
{
  digitalWrite(connection_led, LOW);
}

void RFduinoBLE_onDisconnect()
{
  digitalWrite(connection_led, LOW);
}

void sendDataBLE(int ax,int ay, int az, int t){
  char chr[20];
  String str1, str2, str3, str4, strAll;
  str1=String(ax);
  str2=String(ay);
  str3=String(az);
  str4=String(t);
  strAll=str1+";"+str2+";"+str3+";"+str4;

  Serial.println("x:"+str1+" y:"+str2+" z:"+str3+" t:"+str4);
  
  strAll.toCharArray(chr, 20);
  RFduinoBLE.send(chr, strAll.length());
  
  RFduino_ULPDelay(200); // on prend une préiode pour l'envoi de 200ms afin d'avoir un nombre important de données.
}

void RFduinoBLE_onReceive(char *data, int len)
{
  Serial.println(data);
 
}
